import { createApp } from 'vue'
import App from './App.vue'
import { wxShare } from '@/plugins/wxshare';
import {isMobile} from '@/plugins'
import VConsole from 'vconsole';
import 'vant/lib/index.css';



const app = createApp(App)


// 微信分享配置
wxShare({
    title: '今夜宜赏灯，来测测你的专属元宵花灯',
    desc: '赏花灯，赢惊喜，欢天喜地闹元宵！',
    link: '/index.html'
})

// 测试环境开vconsole
if (isMobile()) {
    // const vConsole = new VConsole();
}

app.mount('#app')
console.log('Mode:', import.meta.env.VITE_MODE);
